Summary: A GUI text editor for systems with X
Name: nedit
Version: 5.7
Release:    1%{?dist}
Source0: http://sourceforge.net/projects/nedit/files/nedit-source/nedit-%{version}-src.tar.gz
Source1: nedit.desktop
Source2: nedit-icon.png
Patch0: nedit-5.5-security.patch
Patch1: 0001-Force-C89-on-gcc-linux-to-prevent-accidental-changes.patch
Patch2: nedit-5.7-makefiles.patch
Patch3: nedit-5.6-utf8.patch
Patch5: nedit-5.7-nc-manfix.patch
Patch6: nedit-5.5-visfix.patch
Patch8: nedit-5.5-scroll.patch
URL: http://sourceforge.net/projects/nedit/
License: GPLv2
Requires: xorg-x11-fonts-ISO8859-1-75dpi
BuildRequires: make
BuildRequires:  gcc
BuildRequires: motif-devel, libXau-devel, libXpm-devel, libXmu-devel
BuildRequires: desktop-file-utils
BuildRequires: perl(Pod::Man)

%description
NEdit is a GUI text editor for the X Window System. NEdit is
very easy to use, especially if you are familiar with the
Macintosh or Microsoft Windows style of interface.

%prep
%setup -q
%patch0 -p1 -b .security
%patch1 -p1 -b .c89
%patch2 -p1 -b .makefiles
%patch3 -p1 -b .utf8
%patch5 -p1 -b .nc-manfix
%patch6 -p1 -b .visfix
%patch8 -p1 -b .scroll

%build
pushd doc
make VERSION='NEdit 5.7' man
popd
make linux C_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
mv source/nc source/nedit-client
install -m 755 source/nedit source/nedit-client %{buildroot}%{_bindir}
install -p -m 644 doc/nedit.man %{buildroot}%{_mandir}/man1/nedit.1x
mv doc/nc.man doc/nedit-client.man
install -p -m 644 doc/nedit-client.man %{buildroot}%{_mandir}/man1/nedit-client.1x

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/nedit.png
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category "Development;" \
        %{SOURCE1}

%files
%doc README ReleaseNotes
%{_mandir}/*/*
%{_bindir}/*
%{_prefix}/share/applications/*
%{_datadir}/icons/hicolor/

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.7-1
- initial build
